OpenNMS::Release::RPMPackage(3pm)

NAME
OpenNMS::Release::RPMPackage - Perl extension for manipulating RPMs

SYNOPSIS
  use OpenNMS::Release::RPMPackage;

  my $rpm = OpenNMS::Release::RPMPackage->new("path/to/foo.rpm");

DESCRIPTION
This is just a perl module for manipulating RPMs, including version comparisons, path comparisons, and other miscellaneous things.

CONSTRUCTOR
OpenNMS::Release::RPMPackage->new($path)

Given a path to an RPM file, create a new OpenNMS::Release::RPMPackage object. The RPM file must exist.

METHODS

  * sign($id, $password)
Given a GPG id and password, sign (or resign) the RPM.

* description()
Get the description of the RPM.

AUTHOR
Benjamin Reed, <ranger@opennms.org> Matt Brozowski, <brozow@opennms.org>

COPYRIGHT AND LICENSE
Copyright (C) 2013 by The OpenNMS Group, Inc.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.8 or, at your option, any later version of Perl 5 you may have available.